# Uses of Enum
com.fasterxml.jackson.core.util.Separators.Spacing

Packages that use Separators.Spacing
Package
Description
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of Separators.Spacing in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return Separators.Spacing
Modifier and Type
Method
Description
`Separators.Spacing`
Separators.`getArrayValueSpacing()`
`Separators.Spacing`
Separators.`getObjectEntrySpacing()`
`Separators.Spacing`
Separators.`getObjectFieldValueSpacing()`
`static Separators.Spacing`
Separators.Spacing.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Separators.Spacing[]`
Separators.Spacing.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core.util with parameters of type Separators.Spacing
Modifier and Type
Method
Description
`Separators`
Separators.`withArrayValueSpacing(Separators.Spacing spacing)`
`Separators`
Separators.`withObjectEntrySpacing(Separators.Spacing spacing)`
`Separators`
Separators.`withObjectFieldValueSpacing(Separators.Spacing spacing)`
Constructors in com.fasterxml.jackson.core.util with parameters of type Separators.Spacing
Modifier
Constructor
Description
``
`Separators(String rootSeparator, char objectFieldValueSeparator, Separators.Spacing objectFieldValueSpacing, char objectEntrySeparator, Separators.Spacing objectEntrySpacing, char arrayValueSeparator, Separators.Spacing arrayValueSpacing)`
Create an instance with the specified separator characters and spaces around those characters.